Page MenuHomePhabricator

Change videoQuality to videoBitrate
Closed, ResolvedPublic

Description

please change videoQuality to videoBitrate.

This is @brion answer

Originally I think there was some concept that nobody would ever try to *stream* HD videos live, so they are 'for download' and use a fixed quality setting, which means they may have a much higher actual bitrate if there's a lot of high-frequency data or motion in the video, or a lower actual bitrate if they don't.

See also T70418.

My recommendation is to switch them to a fixed bitrate (or at least a constrained maximum bitrate) to make them friendlier to HD streaming.

Please see below on it being used.

		WebVideoTranscode::ENC_WEBM_480P =>
			array(
				'maxSize'                    => '854x480',
				'videoBitrate'               => '1024',
				'audioQuality'               => '2',
				'samplerate'                 => '44100',
				'noUpscaling'                => 'true',
				'twopass'                    => 'true',
				'keyframeInterval'           => '128',
				'bufDelay'                   => '256',
				'videoCodec'                 => 'vp8',
				'type'                       => 'video/webm; codecs="vp8, vorbis"',
			),

and 720p looks like

		WebVideoTranscode::ENC_WEBM_720P =>
			array(
				'maxSize'                    => '1280x720',
				'videoQuality'               => 7,
				'audioQuality'               => 3,
				'noUpscaling'                => 'true',
				'videoCodec'                 => 'vp8',
				'type'                       => 'video/webm; codecs="vp8, vorbis"',
			),

Details

Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterChange videoQuality to videoBitrate

Event Timeline

Paladox created this task.Aug 15 2015, 4:46 PM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a project: TimedMediaHandler.
Paladox moved this task to To sort on the TimedMediaHandler board.
Paladox added subscribers: Paladox, brion.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 15 2015, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
brion added a comment.Aug 15 2015, 4:52 PM

Originally I think there was some concept that nobody would ever try to *stream* HD videos live, so they are 'for download' and use a fixed quality setting, which means they may have a much higher actual bitrate if there's a lot of high-frequency data or motion in the video, or a lower actual bitrate if they don't.

See also T70418.

My recommendation is to switch them to a fixed bitrate (or at least a constrained maximum bitrate) to make them friendlier to HD streaming.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 15 2015, 4:52 PM

So 720p, 1080p, and 2160p what would there bitrate be since 480p is 1024. and thanks for replying.

brion added a comment.Aug 15 2015, 5:00 PM

When approximately doubling the total number of pixels (width * height), double the rate. So:

  • 360p @ 512
  • 480p @ 1024
  • 720p @ 2048
  • 1080p @ 4096
  • (we don't have a 1440p step)
  • 2160p @ 16384

Thankyou I will upload a patch which changes this in a min.

Change 231788 had a related patch set uploaded (by Paladox):
Change videoQuality to videoBitrate

https://gerrit.wikimedia.org/r/231788

Should h264 be changed to 360p.

And preset removed.

@Paladox: Please edit the task summary to describe what this task is actually specifically about. Thanks.

Paladox renamed this task from Question about quality to Change videoQuality to videoBitrate.Aug 18 2015, 2:31 PM
Paladox updated the task description. (Show Details)
Paladox set Security to None.

Ok sorry. I was asking a question before explaining it.

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:58 PM

Change 231788 merged by jenkins-bot:
Change videoQuality to videoBitrate

https://gerrit.wikimedia.org/r/231788

TheDJ closed this task as Resolved.Apr 22 2016, 6:32 PM
TheDJ assigned this task to Paladox.
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from To sort to Done on the TimedMediaHandler board.